Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 29 Nov 2021 18:13:07 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear Team.

I'm writing to you today, to highlight how your customer service is a complete joke.
My last order was made last Thursday and as per your system and your SMS messages the delivery should have been completed yesterday, Sunday the 28th but I never received it.
Which is by consumer rights in UAE considered as disrespecting the deal since that there no communication has been initiated from you to advise me with the delay and the expected new delivery date.

As any normal angry customer, I contacted your customer service team and from all the reps I didn't get a 1 solid fact!  which will make me ask you, why do you have customer service reps if they can't help, just fully automate your whole customer service process and have mercy on your customers?

The first rep, When I explained my issue and that I'm traveling on Wednesday and I have a lot of things to do,  the lady simply described my issue with it's a simple issue, sir! 

I responded it's a simple issue for you, not me, you aren't the one who is traveling. as soon as she said that I completely lost trust in the ability of the agent to solve the issue which is basic and even to communicate properly as per the level of the incident. She stated that the order is out for delivery and it should be delivered today or tomorrow. 

Second Rep, I contacted to understand where is the order exactly. don't get me wrong it was a really short call. because as soon as I asked for a manager the guy release the call.

Third Rep, I was extremely angry, but he was calling my friend!  I was screaming stating this is not a company the people should be dealing with, but Instead of saying even sorry he said to adhere to the call politeness rules which is a point I want you to clarify to your agents and whoever is giving them the training   : 
1- Abusive customer isn't defined by the tone of voice. he/she is defined by the words he/she stating.
2-Trying to solve the issue as a process has two sides:
A- By being able to acknowledge the issue, align with customer words and descriptions and assure him/her that you will do your best even if you don't have something in your hand. this is called, handling the customer emotionally, which apparently your agents are not trained to do or execute.
B-Stating how as an agent you will solve the issue by stating facts. However, facts were never disclosed by the first three agents, as they all said that the order is out for delivery even when the order is still in the warehouse which is the fact highlighted by the fourth agent who was trying to get rid of me as I'm getting angry and I do believe it's my complete right.

By the way, I asked your agent what is your policy for complaint hand over but they all have no clue stating strange reasons I never heard them before even in from smallest companies as follows: 
1-  We have no  manager around 
2- Stay with me for a moment until I get you a manager, the second rep apparently he had the call disrespectfully  on mute and then released the calls 
3- Covid no one around 
4- They can contact after 24 hours or 48 hours 

Guys, What kind of operations you are running? 
I'm sorry, I know the answer, you dun know.

Please be informed that if my order didn't arrive until tomorrow 6:00 PM, I promise you even when I'm outside the country I will complain to the consumer rights and I will ensure leaving the incident everywhere on social media and google. also, I will ensure to tell everyone I know about this experience. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3494413